Bug 718048 - RedHat 5.7 Snapshot 5 - rsync fails
RedHat 5.7 Snapshot 5 - rsync fails
Status: CLOSED DUPLICATE of bug 724041
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rsync (Show other bugs)
5.7
Unspecified Linux
unspecified Severity high
: rc
: ---
Assigned To: Vojtech Vitek
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-30 15:37 EDT by Need Real Name
Modified: 2015-03-04 18:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-27 02:03:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2011-06-30 15:37:49 EDT
Description of problem:
This is on RedHat 5.7 Snapshot 5.
rsync fails with the error indicated below.


Version-Release number of selected component (if applicable):
rsync-3.0.6-4.el5

How reproducible:
The rsync command I am using:
rsync -arC -q -e rsh --progress -r 190.0.0.215:/cvs/unix_qa/stable/scripts/* /scripts/



Steps to Reproduce:
1.
2.
3.
  
Actual results:
Error message I get:
  rsync: writefd_unbuffered failed to write 4 bytes to socket [receiver]: Broken pipe (32)
  rsync error: error in rsync protocol data stream (code 12) at io.c(1525) [receiver=3.0.6]



Expected results:


Additional info:
I install my source copy of rsync-3.0.8 and everything works fine.
Comment 1 Ned Slider 2011-07-22 17:47:05 EDT
Me too, in RHEL-5.7 release.

$ rpm -q rsync
rsync-3.0.6-4.el5.x86_64

Simple reproducer:

$ rsync 192.168.0.2:
usage: ssh [-1246AaCfgkMNnqsTtVvXxY] [-b bind_address] [-c cipher_spec]
           [-D [bind_address:]port] [-e escape_char] [-F configfile]
           [-i identity_file] [-L [bind_address:]port:host:hostport]
           [-l login_name] [-m mac_spec] [-O ctl_cmd] [-o option] [-p port]
           [-R [bind_address:]port:host:hostport] [-S ctl_path]
           [-w tunnel:tunnel] [user@]hostname [command]
rsync: connection unexpectedly closed (0 bytes received so far) [receiver]
rsync error: unexplained error (code 255) at io.c(600) [receiver=3.0.6]
Comment 2 Marco De la Cruz 2011-07-25 10:14:33 EDT
I can confirm the behaviour as described in Comment 1. My current workaround was to downgrade from rsync 3.0.6-4.el5 to 2.6.8-3.1 via the command:

$ yum downgrade rsync

RHEL-5.7 release, on both 32 and 64-bit Intel/AMD platforms using the latest openssh (4.3p2-72.el5_6.3).
Comment 3 Marco De la Cruz 2011-07-25 10:27:59 EDT
(In reply to comment #2)
> I can confirm the behaviour as described in Comment 1. My current workaround
> was to downgrade from rsync 3.0.6-4.el5 to 2.6.8-3.1 via the command:
> 
> $ yum downgrade rsync
> 
> RHEL-5.7 release, on both 32 and 64-bit Intel/AMD platforms using the latest
> openssh (4.3p2-72.el5_6.3).

Nevermind, see Bug 724041. Still, not looking forward to rewriting dozens of scripts, downgrading for now.
Comment 4 Ondrej Vasik 2011-07-27 02:03:03 EDT

*** This bug has been marked as a duplicate of bug 724041 ***

Note You need to log in before you can comment on or make changes to this bug.